Bug 519647 - virStorageVolLookupBy* not implemented
Summary: virStorageVolLookupBy* not implemented
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: perl-Sys-Virt
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Daniel Berrangé
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 09:25 UTC by Matthew Booth
Modified: 2010-03-30 08:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 519648 (view as bug list)
Environment:
Last Closed: 2010-03-30 08:27:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0251 normal SHIPPED_LIVE perl-Sys-Virt bug fix update 2010-03-29 12:45:00 UTC

Description Matthew Booth 2009-08-27 09:25:05 UTC
Description of problem:
The following calls available in the C api have no perl bindings:

virStorageVolLookupByKey
virStorageVolLookupByName
virStorageVolLookupByPath

Version-Release number of selected component (if applicable):
perl-Sys-Virt-0.2.0-3.el5

Comment 1 Daniel Berrangé 2009-08-27 09:31:33 UTC
FYI virStorageVolLookupByName() is exposed via get_volume_by_name() on the Sys::Virt::StoragePool  object.

Comment 2 Daniel Berrangé 2009-09-14 11:14:05 UTC
Patch available upstream

http://libvirt.org/git/?p=libvirt-perl.git;a=commit;h=c79d567cc3a2e0e09358001c539fa7b6ee96837e

Comment 3 RHEL Product and Program Management 2009-11-06 18:41:21 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 5 RHEL Product and Program Management 2009-11-09 11:40:56 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 6 RHEL Product and Program Management 2009-11-09 12:59:24 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 7 Daniel Berrangé 2009-12-16 16:12:28 UTC
Built into perl-Sys-Virt-0.2.1-1.2.el6

Comment 8 Daniel Berrangé 2009-12-16 16:18:14 UTC
Opps, that last comment should have said

Built into perl-Sys-Virt-0.2.0-5.el5

Comment 10 Gunannan Ren 2009-12-24 09:36:30 UTC
The bug has been fixed in the perl-Sys-Virt-0.2.0-5.el5, 
get_volume_by_name in StoragePool.pm
get_storage_volume_by_path in Virt.pm
get_storage_volume_by_key in Virt.pm

virStorageVolLookupByKey
virStorageVolLookupByName
virStorageVolLookupByPath
could be found in Virt.xs

Comment 12 Gunannan Ren 2009-12-24 09:38:58 UTC
The bug has been fixed in the perl-Sys-Virt-0.2.0-5.el5, 
get_volume_by_name in StoragePool.pm
get_storage_volume_by_path in Virt.pm
get_storage_volume_by_key in Virt.pm

virStorageVolLookupByKey
virStorageVolLookupByName
virStorageVolLookupByPath
could be found in Virt.xs

Comment 15 errata-xmlrpc 2010-03-30 08:27:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0251.html


Note You need to log in before you can comment on or make changes to this bug.